
//==================//
// EXERCISE 121
// REVISED MAY 2015
//==================//

/*a)*/
/* Data set used */
use melanoma if stage == 1, clear

/* Stset data */
stset surv_mm, id(id) failure(status==1) exit(time 120) scale(12)

/* Hazard function */
sts graph, hazard by(year8594)

/*b)*/
/* Hazard function on log scale */
sts graph, hazard by(year8594) yscale(log)

/*c)*/
/* Log cumulative hazard function */
stphplot, by(year8594)

/*d)*/
/* Cox regression */
stcox i.year8594

/*e)*/
/* Cox regression adjusted for sex, calendar period and age */
stcox i.sex i.year8594 i.agegrp
estat phtest, plot(1.year8594)

/*f)*/
/* Re-do the above for agegrp */

/* Hazard function */
sts graph, hazard by(agegrp)

/* Log cumulative hazard function */
stphplot, by(agegrp)

/* Hazard function on log scale */
sts graph, hazard by(agegrp) yscale(log)

/* Cox regression */
stcox i.agegrp

/* Cox regression adjusted for sex, calendar period and age */
stcox i.sex i.year8594 i.agegrp
estat phtest, plot(1.agegrp)
estat phtest, plot(2.agegrp)
estat phtest, plot(3.agegrp)

/*g)*/
/* Formally test the PH assumption */
stcox i.sex i.year8594 i.agegrp
estat phtest, detail

/*h)*/
/* Alternative 1: Cox regression using tvc option */
tab agegrp, gen(agegrp)
stcox i.sex i.year8594 agegrp2 agegrp3 agegrp4, tvc(agegrp2 agegrp3 agegrp4) texp(_t>=2)

/* Alternative2: Split data */
stsplit fuband, at(0,2)
list id _t0 _t fu in 1/10

/* Cox regression with interaction */
stcox i.sex i.year8594 i.agegrp##i.fuband

/* Test interaction */
testparm i.agegrp#i.fuband

/*i)*/
/* Effect of exposure for each level of the modifier */
stcox i.sex i.year8594 i.fuband i.fuband#i.agegrp

/*h)*/
/* Fit an analogous Poisson regression model */
use melanoma if stage == 1, clear
stset surv_mm, id(id) failure(status==1) exit(time 120) scale(12)
stsplit fu, at(0(1)10) trim
egen fuband = cut(fu), at(0,2,10)
streg i.fu i.sex i.year8594 i.fuband i.fuband#i.agegrp, dist(exp)

