
//==================//
// EXERCISE 123
// REVISED JAN 2024
//==================//

/* Data set used */
use melanoma, clear

stset surv_mm, failure(status==1) scale(12) id(id)

/*a)*/
/* Cox regression */
stcox i.sex

/*b)*/
/* Cox regression controlling for possible confounders */
stcox i.sex i.agegrp i.stage i.subsite i.year8594

/*c)*/
/* Cox regression with interactions */
stcox i.agegrp i.sex#i.agegrp

/* Test of whether the HR's for sex differ across age groups */
test 2.sex#0.agegrp = 2.sex#1.agegrp = 2.sex#2.agegrp = 2.sex#3.agegrp

/* Cox regression with main effects and interactions */
stcox i.year8594 i.subsite i.stage i.agegrp i.sex#i.agegrp

/* Test of whether the HR's for sex differ across age groups */
test 2.sex#0.agegrp = 2.sex#1.agegrp = 2.sex#2.agegrp = 2.sex#3.agegrp

/*d)*/
/* Cox regression, "most appropriate model" */
stcox i.sex i.year8594 i.agegrp i.subsite i.stage
estat phtest, detail
estat phtest, plot(1.stage)
estat phtest, plot(2.stage)
estat phtest, plot(3.stage)

stsplit timeband, at(0,2,100)

stcox i.sex#i.agegrp i.agegrp i.year8594 i.subsite i.stage##i.timeband
test 2.sex#0.agegrp = 2.sex#1.agegrp = 2.sex#2.agegrp = 2.sex#3.agegrp
